
/*  Special Look Buttons  */
/*  Save: */
	.pcBtnSave {
		background-color:#bdb;
		background-image:linear-gradient(to bottom,#E7F3E7 0px,#bdb 100%);
	}
	.pcBtnSave:hover {
		background-color:#cce5cc;
		background-image:linear-gradient(to bottom,#ebf5eb 0px,#cce5cc 100%);
	}
	.pcBtnSave:focus {
		background-color:#cce5cc;
		background-image:linear-gradient(to bottom,#ebf5eb 0px,#cce5cc 100%);
	}
/* Cancel: */
	.pcBtnCancel {
		background-color:#dbb;
		background-image:linear-gradient(to bottom,#f3e7e7 0px,#dbb 100%);
	}
	.pcBtnCancel:hover {
		background-color:#e5cccc;
		background-image:linear-gradient(to bottom,#f5ebeb 0px,#e5cccc 100%);
	}
	.pcBtnCancel:focus {
		background-color:#e5cccc;
		background-image:linear-gradient(to bottom,#f5ebeb 0px,#e5cccc 100%);
	}
	
/* Address Converter */
    .pcAddress {
        line-height:14px;
    }

/*  PopupBandbox  */
/* Making the assumption we don't need this:
	DIV.z-bandbox-pp {border-width:3px; border-color:#66A; overflow-x:hidden;}
	 .pcBandbox {position:relative; left:-30px; z-index:-10; }
	 .pcBandbox INPUT.z-bandbox-inp {border-color:transparent;}
*/	 
	 .pcBandBtnSmall {width:24px; padding:0;}
	 .pcBandBtnSmall IMG {width:12px;}
/*	 
	 .pcBandpopup {cursor:default;}
	 .pcBandpopup button {cursor:pointer;}
	 .pcBandpopup td.z-cell {padding:2px; cursor:default; background-color:transparent;}
	 .pcBandpopup TR {background-image:none; background-color:transparent;}
	 .pcBandpopup .pcBigLabel {font-size:14px;}
	 .pcBandpopup .pcSmallLabel {font-size:11px; margin-left:6px;}
*/	 
	 /* new version with DIVs */
	 .pcBandpopup DIV.pcBandDiv {cursor:pointer; position:relative; padding:4px;}
	 .pcBandpopup DIV.pcBandDiv:hover {background-color:#f0f0f8;}
	 .pcBandpopup IMG.pcBandDivImage {cursor:pointer; position:absolute; left:2px; top:4px;}
	 .pcBandpopup DIV.pcBandDiv .z-label {margin-left:24px;}

/*  PopupBandbox  */
	DIV.z-combobox-pp {max-height:112px;}

/*  DesignDocs "ActionButton"  */
	A.pcDDAction {display:block; width:20px;}				
	A.pcDDAction IMG {cursor:pointer;}				
	A.pcDDAction:hover {background-color:#ddf;}				
	A.pcDDAction:hover IMG {opacity:0.6;]}				
	
/* Caption Alterations */
	.pcCaptionInLine .z-caption-content { 
	   display: inline; 
    }

/* Grid: turn off even/odd striping */
    .pcGridTurnOffStriping .z-row .z-cell { background: none; border:  none; }

/* Grid: turn off hover highlight */
    .pcGridTurnOffHover .z-row:hover > .z-row-inner, .pcGridTurnOffHover.z-row:hover > .z-cell {
        background: none;
    }

/* Grid: turn off hover hightlight No Control Interaction */
    .pcGridTurnOffHoverEvents {
        pointer-events: none;
    }

/* Row: selectable row, make a row look selectable */
    .pcRowSelectable TD.z-cell {
        cursor: pointer;
    }

/* Button: Setup a report selector button */
	.pcStdReportBtn {
	    color: #449;
	    background-color: #E7E7FF;
	    background-image:linear-gradient(to bottom,#f0f0ff 0px,#d6d6ff 100%);
	    border-radius:10px; -moz-border-radius:10px;
	    font-size: 11pt; text-shadow: 1px 1px #FFFFFF;
	    height: 50px;
	    white-space: normal;
	}

	.disable-text-select {
	    user-select: none;
	   -webkit-user-select: none;
	   -khtml-user-select: none;
	   -moz-user-select: none;
	   -ms-user-select: none;
	}

/* ##  Styles for saved CURVIEW ## */		
		.pcRptCurviewLabel .z-label {
			color: #555;
			font-weight: bold;			
		}
		.pcRptCurviewName {
			background-color: #574f76;
			padding: 3px;
			border-radius: 6px;
			text-align: center;
		}
		.pcRptCurviewName .z-label {
			color: white;
			font-weight: bold;
			font-size: 95%;
		}
		.pcRptCurviewModified .z-label {
			color:red;
			font-style:italic;
			font-weight:bold;
		}
		

		/* SelectAll checkboxes  {pcCheckboxAllNone, pcCheckboxMulti} */
		.pcCheckboxAllNone {
			z-index: 1;
			position: absolute;
			top: 4px;
			left: 2px;
		}
		.pcCheckboxMulti {
			display:block;				
  			position: absolute;
 			top: 9px;
 			left: 8px;		
         	width: 12px;
 			height: 12px;
 			z-index: 0;
 			border: 1px inset;
		}
		.pcTitleAllNoneCell {
			position:relative;
			line-height: 16px;
			height: 25px;
		}	
		
		
		/* Thumbnail images */		
		.pcThumbGrid .pcThumbDiv {
			margin-top: 0;
			margin-bottom: 5px;
			margin-left: auto;
			margin-right: auto;
		}
		/*
		.pcThumbGrid .pcThumbDivPend, .pcThumbGrid .pcThumbDivEmpty {
			background: url(/images/banner-bg-dd2.png);
		}
		*/
		.pcThumbGrid .pcThumbDivEmpty {
			display: none;
		}
		.pcThumbGrid .pcThumbImgDivWrapper {
			position: absolute;
			z-index: 100;	
		}
		.pcThumbGrid .pcThumbImgDivWrapper {
			transition: 0.3s;
		}
		.pcThumbGrid .pcThumbImgDivWrapper:hover {
			transform: scale(2);
			background-color: white;	
			box-shadow: 0 0 10px grey;
			z-index: 101;	
		}		
		body:not(.gecko) .pcThumbGrid .z-row:hover>.z-cell,
		.pcThumbGrid .z-listitem.z-listitem-selected>.z-listcell,
		.pcThumbGrid .z-listitem.z-listitem-selected.z-listitem-focus:hover>.z-listcell {
			position: static;
		}